<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('START_PATH')) exit;
if(!get_active('Register')) notActive();

if(isset($_REQUEST['sub']) && $_REQUEST['sub'] == 'ok')
{
	$Login->registerOk();
} else {
	$do = (isset($_REQUEST['do']) && !empty($_REQUEST['do'])) ? $_REQUEST['do'] : 'register';
	switch($do)
	{
		case '':
		case 'register': $Login->registerNew(); break;
		case 'checkuserdata': 
			define('AJAX_OUTPUT',1);
			$Login->CheckUserData(@$_REQUEST['ext']);
		break;
	}
}
?>